org.bouncycastle.x509.extension

## Class SubjectKeyIdentifierStructure

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.SubjectKeyIdentifier
    - - org.bouncycastle.x509.extension.SubjectKeyIdentifierStructure

All Implemented Interfaces:
  DEREncodable

    public class SubjectKeyIdentifierStructure
    extends SubjectKeyIdentifier

A high level subject key identifier.

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SubjectKeyIdentifierStructure(byte[] encodedValue)` Constructor which will take the byte[] returned from getExtensionValue()
`SubjectKeyIdentifierStructure(java.security.PublicKey pubKey)`

### Method Summary

### Methods inherited from class org.bouncycastle.asn1.x509.SubjectKeyIdentifier

`createSHA1KeyIdentifier, createTruncatedSHA1KeyIdentifier, getInstance, getInstance, getKeyIdentifier, toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectKeyIdentifierStructure

    public SubjectKeyIdentifierStructure(byte[] encodedValue)
                                  throws java.io.IOException

Constructor which will take the byte[] returned from getExtensionValue()

Parameters:
  `encodedValue` - a DER octet encoded string with the extension structure in it.
Throws:
  `java.io.IOException` - on parsing errors.

#### SubjectKeyIdentifierStructure

    public SubjectKeyIdentifierStructure(java.security.PublicKey pubKey)
                                  throws java.security.cert.CertificateParsingException

Throws:
  `java.security.cert.CertificateParsingException`